var should = require('should');
var partner = require('./partner-otomax');

describe ('#partner', function() {
    describe('generateSign', function() {
        it('should return correct sign based on example from otomax doc', function() {
            partner.generateSign('YUSUF', 'XX10', '08123456789', '2140669', '1144', 'abcd').should.equal('vlrN9Yuu4xHAT8_bXIUHKw2NjHo=');
        })
    });

    describe('parseSn', function() {
        it('should return correct sn', function() {
            partner.parseSn("TrxID:#451318 TN10.08128364883 SUKSES. SN: 41000905936059.  Saldo Rp-20.420 - 10.210 = Rp-30.630 ctr:1 RS:HTH049BSI @2016-06-10 08:11:04 PrintStruk: http://27.111.44.196/report/ Add HANGOUT trxtuj@gmail.com By Holic Reload", "SN: (\\d+)\\.").should.equal("41000905936059");
        })
    });
});
